RDKit: ForceFields::DistanceConstraintContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::DistanceConstraintContrib Class Reference

A distance range constraint modelled after a BondStretchContrib. More...

`#include <DistanceConstraint.h>`

Inheritance diagram for ForceFields::DistanceConstraintContrib:

## Public Member Functions
| DistanceConstraintContrib ()
| DistanceConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, double minLen, double maxLen, double forceConst)
| Constructor.
| DistanceConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, bool relative, double minLen, double maxLen, double forceConst)
| ~DistanceConstraintContrib () override
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
DistanceConstraintContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A distance range constraint modelled after a BondStretchContrib.

Definition at line 18 of file DistanceConstraint.h.

## Constructor & Destructor Documentation

## ◆ DistanceConstraintContrib() [1/3]

ForceFields::DistanceConstraintContrib::DistanceConstraintContrib | ( |  | ) |
| inline

Definition at line 21 of file DistanceConstraint.h.

Referenced by copy().

## ◆ DistanceConstraintContrib() [2/3]

ForceFields::DistanceConstraintContrib::DistanceConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConst )

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  minLen | minimum distance
  maxLen | maximum distance
  forceConst | force Constant

References ForceFields::ForceFieldContrib::ForceField.

## ◆ DistanceConstraintContrib() [3/3]

ForceFields::DistanceConstraintContrib::DistanceConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | bool | relative,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConst )

References ForceFields::ForceFieldContrib::ForceField.

## ◆ ~DistanceConstraintContrib()

ForceFields::DistanceConstraintContrib::~DistanceConstraintContrib | ( |  | ) |
| inlineoverride

Definition at line 39 of file DistanceConstraint.h.

## Member Function Documentation

## ◆ copy()

DistanceConstraintContrib * ForceFields::DistanceConstraintContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 43 of file DistanceConstraint.h.

References DistanceConstraintContrib().

## ◆ getEnergy()

double ForceFields::DistanceConstraintContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::DistanceConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- DistanceConstraint.h